html{
	height: 100%;
	width: 100%;
}

body{
	width: 100%;
  margin: 0;
  min-height: 100%;
  display:flex; 
  flex-direction:column; 
}

main{
  height: 72.2%;
}

*{
  font-family: Arial, Helvetica, sans-serif;
  font-size: 100%;
}

.hidden{
  visibility: hidden;
}

button{
	cursor: pointer;
}

a, a:hover{
	color: black;
	text-decoration: none;
}

/* ------------------------NAV-------------------------*/
#header-nav{
	background-color: #DFB87C;
	width: 100%;
	position: fixed; /* fixed menu!! */
	z-index: 2;
  top: 0;
}

main{
	margin-top: 15vh; /* same height as container ,so there's no overlay */
  background-color: whitesmoke;
}

#header-nav div.nav-bar-container{
	height: 15vh;
	position: relative;
	box-sizing: border-box;
	padding: 0;
}

@media only screen and (min-width: 600px) {
  main{ margin-top: 110px; }
  #header-nav div.nav-bar-container{ height: 110px; }
}

#header-nav ul{
	height: 100%;
	width: 100%;
	position: relative;
	margin: 0;
	padding: 0;
	list-style: none;
  display: flex;
	align-items: center;
  justify-content: flex-start;
}

#sitename{
  margin-left: 3%;
	height: 60%;
	width: 50%;
}

#sitename img{
  height: 100%;
	width: 100%;
	background-size: cover;
}

#menu{
	height: 4vh;
	width: 4vh;
	padding-left: 15px;
}

.btn-transparent{
	border: none;
	outline: none;
	background-color: transparent;
	border-radius: 5px;
}

.menu-icon-off{
	background-image: url("../img/icons/menu-off.png");
	height: 4vh;
	width: 4vh;
	background-size: cover;
}

.menu-icon-on{
	background-image: url("../img/icons/menu-on.png");
	height: 4vh;
	width: 4vh;
	background-size: cover;
}

#notif{
  height: 6vh;
  width: 6vh;
  margin-left: auto;
}

.notif-icon-off{
  background-image: url("../img/icons/notif-off.png");
	height: 6vh;
	width: 6vh;
	background-size: cover;
}

.notif-icon-on{
  background-image: url("../img/icons/notif-on.png");
	height: 6vh;
	width: 6vh;
	background-size: cover;
}

div#toggle-menu-container, div#toggle-notif-container{
	display: none;
	background-color: #333;
	width: 100%;
	z-index: 1;
	position: absolute;
}

div#toggle-menu-container ul, div#toggle-notif-container ul{
	display: flex;
	flex-direction: column;
}

div#toggle-menu-container ul li, div#toggle-notif-container ul li{
	margin-left: 3%;
	margin-right: auto;
	width: 100%;
}

div#toggle-menu-container ul li:hover, div#toggle-notif-container ul li:hover{
	background-color: #474747;
}

div#toggle-menu-container ul li a, div#toggle-notif-container ul li a{
	color: white;
	padding: 14px 16px;
	text-decoration: none;
	font-size: 17px;
	display: block;
}

div#toggle-menu-container ul li:nth-child(n+3):not(:nth-child(n+7)){
	margin-left: 8%;
	margin-right: auto;
}

#cart{
	margin-left: auto;
	height: 6vh;
  width: 6vh;
  padding-right: 15px;
}

#cart img{
	height: 6vh;
	width: 6vh;
}

@media only screen and (min-width: 600px) {
	#sitename{
    margin-left: 15px;
    width: 200px;
    display:inline-block;
	}
	#menu{
		padding: 0 25px;
  }
  .logo-icon{
    width: 200px;
  }
  #separator{
    flex-grow: 1;
  }
  
  #notif{
    margin-left: 0;
    padding-right: 25px;
  }
}

#toggle-menu-container li:not(:last-child), #toggle-notif-container li:not(:last-child){
  	border-bottom: 1px solid rgb(119, 119, 119);
}

/* ----------------------BANNER----------------------------*/
.banner-caption a{
	font-size: medium;
	font-weight: normal;
	margin: 0;
	color: white;
}

.banner-caption a:hover {
	color: #e3614f;
}

header#banner{
	width: 100%;
	height: auto;
	box-sizing: border-box;
  padding: 2vw;
}
	
header#banner div#banner-slideshow{
	height: 25vh;
	width: 100%;
	position: relative;
}

.slide{
  height: 100%;
  width: 100%;
}

.slide img{
	object-fit: cover;
	height: 100%;
	width: 100%;
	border-radius: 5px;
}

div.banner-caption{
	width: 100;
	position: absolute;
	top: 5%;
	right: 0;
	left: 0;
	display: flex;
	justify-content: center;
}

div.banner-caption span{
	font-style: italic;
	color: white;
	background-color: rgba(0, 0, 0, 0.75);
	border-radius: 25px;
	box-sizing: border-box;
	padding: 12px;
}

header#banner div.arrows{
	display: flex;
	position: absolute;
	top: 50%;
	margin-top: -3vh;
	width: 100%;
}

button.banner-arrow{
	height: 6vh;
  width: 6vh;
  background-size: cover;
}

button#left-arrow{
  background-image: url("../img/icons/left-arrow-shadow.png");
	margin-left: 3vw;
  margin-right: auto;
}

button#right-arrow{
  background-image: url("../img/icons/right-arrow-shadow.png");
	margin-right: 3vw;
	margin-left: auto;
}

div.dots{
	box-sizing: border-box;
	padding-top: 2vw;
	text-align: center;
}

span.dot {
	box-sizing: border-box;
	margin: 0 1vw;
	height: 17px;
	width: 17px;
	background-color: #bbb;
	border-radius: 25%;
	display: inline-block;
	cursor: pointer;
}

.active, .dot:hover {
  background-color: #717171;
}

/*-----------------------HOME-CATEGORIES----------------------*/

h2{
	font-size: large;
	margin: 0;
}

div.home-display{
	width: 100%;
	height: 100%;
	box-sizing: border-box;
  padding: 0 20px;
}

div.category{
	position: relative;
	width: 100%;
	padding-top: 100%;
	box-sizing: border-box;
	border: 3px solid #cfcfcf;
	margin-bottom: 5%;
	border-radius: 5px;
}

img.category-img{
	position: absolute;
	top: 0;
	left: 0;
	box-sizing: border-box;
	object-fit: cover;
	height: 100%;
	width: 100%;
	border-radius: 3px;
}

span.category-name{
	text-align: center;
	position: absolute;
	bottom: 10%;
	left: 10%;
	right: 10%;
	background-color: white;
	box-sizing: border-box;
	padding: 15px;
	font-weight: bold;
	border-radius: 5px;
}

@media only screen and (min-width: 600px) {
  /* TODO */
	span.banner-caption{
		padding: 15px;
	}

	div#toggle-menu-container ul li:nth-child(n+3):not(:nth-child(n+7)){
		margin-left: 5%;
		margin-right: auto;
	}
	
	div.home-display{  
		display: flex; 
		flex-wrap: wrap;  
		justify-content: center; 
		padding: auto;
		padding: 0;
	}
	
	div.category{ 
		position: relative; 
		width: 300px; 
		height: 0; 
		padding-top: 300px; 
		margin-left: 1.65%;
		margin-right: 1.65%;
	}
	
}

/*----------------------------FOOTER------------------------------*/

footer{
  width: 100%;
  background: #f5dab0;
}

footer ul{
  list-style: none;
  margin: 0;
  padding: 0;
}

footer a, footer a:hover{
	color: black;
	text-decoration: underline;
}

.footer-icon{
  height: 5vw;
  width: 5vw;
}

.socials{
  height: 15%;
  padding: 5%;
	border-top: 2px solid black;
  border-bottom: 2px solid black;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  position: relative;
}

.socials a{
  padding: 0 2%;
}

.socials p{
  position: absolute;
  left: 0;
  padding-left: 5%;
  margin: 0;
}

.footer-links{
  padding: 7% 0;
  text-align: center;
}

.footer-links li{
  line-height: 1.6;
}

footer > p{
  margin: 0;
  padding-bottom: 5%;
  padding-left: 5%;
}

@media only screen and (min-width: 600px) {
  .socials{ 
    height: 70px;
    padding: 12px; 
    display: flex; 
    justify-content: flex-start;
  } 
  .socials p{  
    position: relative; 
    padding: 0;
  }
  .footer-links{ 
    padding: 18px 0 18px 30px; 
    text-align: left;
  }
  .footer-links li{ 
    line-height: 2; 
  }
  footer{
    height: 270px;
  }

  .footer-icon{
	height: 3vw;
	width: 3vw;
  }

  footer > p{
    padding: 0 0 20px 30px;
  }
}


/* ----------------- CART ------------------*/
header#cart-banner{
	background-color: #333;
	color: white;
	box-sizing: border-box;
	padding: 7vw;
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
}

header#cart-banner h2{
	font-weight: bold;
	position: absolute;
}

.item{
  display: grid;
  grid-template-columns: 33vw auto;
  grid-gap: 10px;
  padding: 30px 10px;
}

.border{
  border-bottom: 1px solid #717171;
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  position: absolute;
  left: 5%;
  right: 5%;
}

.item img{
  width: 33vw;
  height: 33vw;
  object-fit: cover;
}

@media only screen and (min-width: 600px) {
  .item{  grid-template-columns: 220px auto; }
  .item img{ width: 220px; height: 220px;}
  #cart-items, #cart-total{ max-width: 33%; margin-left: 33%;}
  #cart-total{
	padding: 5vw 10px;
	text-align: center;
  }
  header#cart-banner{
	padding: 2vw;
	}
}

.item-quantity{
  display: flex;
  justify-content: center;
  align-items: center;
}

.course-page{
  justify-content: left;
  align-items: left;
}

.item-total{
  text-align: right;
  font-weight: bold;
}

.item-remove{
  grid-column: 2;
  text-align: right;
}

.item-remove button{
  background-color: lightgrey;
  padding: 10px;
}

.item-quantity .num{
  border: #333;
  border-width: 1px;
  border-style: solid;
  width: 30%;
  text-align: center;
}

.course-page .num{
  background-color: white;
  width: 50px;
}

.item-quantity .add, .item-quantity .sub{
  font-weight: 900;
  background-color: #f5dab0;
  border-radius: 25px;
  margin: 0 2%;
}

.course-page .add, .course-page .sub{
  background-color: #e3614f;;
}

#cart-total{
  padding: 40vw 10px;
}

#cart-total, #cart-not-logged-in{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#cart-total button, #cart-not-logged-in button{
  font-weight: bold;
  background-color: #e2e3df;
  border: 1px solid #a0a0a0;
  padding: 10px;
}

#cart-not-logged-in button{
  margin: 10%;
  padding: 15px;
  border-radius: 5px;
}

/* ------------------ PAYMENT ------------------*/

#payment{
  box-sizing: border-box;
  padding: 40vw 30px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#payment button{
  margin-top: 20px;
  font-weight: bold;
  background-color: #e2e3df;
  border: 1px solid #a0a0a0;
  padding: 10px;
  border-radius: 5px;
}

/* ------------------ ALL FORMS ------------------*/
input:focus::placeholder {
	color: transparent;
}

/* Style the form */
#course-form {
	margin: 10px auto;
	width: 86vw;
}

#course-creation {
	padding: 0;
	margin-bottom: 10%;
}

input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button,
input[type=date]::-webkit-inner-spin-button, 
input[type=date]::-webkit-outer-spin-button,
input[type=time]::-webkit-inner-spin-button, 
input[type=time]::-webkit-outer-spin-button  { 
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0; 
}
  
/* Style the input fields */
#course-form input[type="text"],
#course-form input[type="number"],
#course-form input[type="date"],
#course-form input[type="time"],
#course-form input[type="file"], textarea {
	display: block;
	padding: 1%; 
	width: 80vw;
	height: 10vw;
	font-size: medium;
	border: 1px solid #aaaaaa;
}

textarea {
	resize: none;
	height: 50vw;
}

#prevBtn, #nextBtn {
	padding: 5%; 
	width: 100%;
	font-size: small;
	border: 1px solid #aaaaaa;
	margin-top: 5%;
}

#course-form select {
	background-color: #ffffff;
	margin: 0 0 2%;
	padding: 10px;
	width: 82vw;
	height: 13vw;
	border-radius: 5px;
	font-size: medium;
}

#course-form option {
	padding: 10px;
	width: 100%;
	font-size: medium;
	border: 1px solid #aaaaaa;
}

#course-form select.invalid {
	background-color: #ffdddd;
}
  
/* Mark input boxes that gets an error on validation: */
#course-form input.invalid {
	background-color: #ffdddd;
}

#course-form textarea.invalid {
	background-color: #ffdddd;
}


#course-form textarea {
	border-radius: 5px;
}
  
/* Hide all steps by default: */
#course-form .tab {
	display: none;
}
  
/* Make circles that indicate the steps of the form: */
.step {
	height: 15px;
	width: 15px;
	margin: 0 2px;
	background-color: #bbbbbb;
	border: none;
	border-radius: 50%;
	display: inline-block;
	opacity: 0.5;
}
  
/* Mark the active step: */
.step.active {
	opacity: 1;
}
  
 /* Mark the steps that are finished and valid: */
.step.finish {
	background-color: #4CAF50;
}

#course-form h1{
	font-size: larger;
}

#course-form h2{
	font-size: medium;
}

#buttons-container {
	width: 95%;
}

@media only screen and (min-width: 600px) {

	#payment{
		padding: 5vw 30px;
	  }

	#course-form {
		padding: 20px;
		width: 80%;
		min-width: 300px;
		border: none;
		border-radius: none;
	}

	#course-form input[type="text"],
	#course-form input[type="number"],
	#course-form input[type="date"],
	#course-form input[type="time"],
	#course-form input[type="file"], textarea {
		width: 98%;
		height: fit-content;
	}

	#prevBtn, #nextBtn {
		padding: 10%; 
		width: 100%;
		height: fit-content;
	}

	#course-form select {
		width: 100%;
		min-width: 300px;
		border-radius: 5px;
		height: fit-content;
	}

	textarea {
		resize: none;
		height: 10vw;
	}

	#buttons-container {
		display: flex;
		flex-direction: column;
		justify-content: flex-end;
		width: 14%;
		margin-left: 80%;
	}

	#course-creation {
		padding: 0;
		width: 93%;
		margin: 2% auto;
	}
}